Skip to main content

List Pix Fund Recovery Requests

GET 

/v1/pix/fund-recovery-requests

Retrieve a paginated list of pix fund recovery requests.

Request​

Query Parameters

    page number

    Default value: 1

    Page number.

    size number

    Possible values: <= 100

    Default value: 20

    Page size. Max size is 100.

    sort string

    Possible values: [created_at, updated_at]

    Page sort attribute.

    order string

    Possible values: [asc, desc]

    Default value: asc

    Page order.

    created_at_start date

    Created at start. Format: YYYY-MM-DD

    created_at_end date

    Created at end. Format: YYYY-MM-DD

    status string[]

    Possible values: [CREATED, ANALYSED, WAITING_DEVOLUTION, COMPLETED_REJECTED, COMPLETED_APPROVED, CANCELED, FAILED]

    Fund recovery request status.

    transactionType string[]

    Possible values: [PAYMENT, DEVOLUTION, REFUND_PAYMENT]

    Transaction type.

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

Responses​

The fund recovery requests returned successfully.

Schema
    page numberrequired

    Page number.

    page_size numberrequired

    Page size.

    page_total numberrequired

    Page total.

    total numberrequired

    Total of elements.

    data object[]required

    Pix fund recovery requests data.

  • Array [
  • id stringrequired

    Fund recovery request ID.

    status stringrequired

    Possible values: [CREATED, ANALYSED, WAITING_DEVOLUTION, COMPLETED_REJECTED, COMPLETED_APPROVED, CANCELED, FAILED]

    Status.

    refund_total_amount number

    Refund total amount in R$ cents.

    transaction_type stringrequired

    Possible values: [PAYMENT, DEVOLUTION, REFUND_PAYMENT]

    Transaction type.

    transaction_third_part_name string

    Transaction third part name.

    transaction_amount number

    Transaction amount in R$ cents.

    reason stringrequired

    Possible values: [FRAUD, CANCEL_DEVOLUTION, PIX_AUTOMATIC_FRAUD, PIX_AUTOMATIC_PSP_ERROR]

    Reason.

    description string

    Description.

    created_at date-timerequired

    Fund recovery request created at.

    updated_at date-timerequired

    Fund recovery request updated at.

  • ]
Loading...